Bond
Date: 2019-10-22

org.jmol.modelset

## Class Bond

- java.lang.Object
- - org.jmol.util.Edge
  - - org.jmol.modelset.Bond

- All Implemented Interfaces:
    SimpleEdge
  Direct Known Subclasses:
    HBond

      public class Bond
      extends Edge

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Atom` | `atom1`
    `Atom` | `atom2`
    `short` | `colix`
    `short` | `mad`
    `static int` | `myVisibilityFlag`
    `int` | `shapeVisibilityFlags`

    - ### Fields inherited from class org.jmol.util.Edge

      `BOND_AROMATIC, BOND_AROMATIC_DOUBLE, BOND_AROMATIC_MASK, BOND_AROMATIC_SINGLE, BOND_COVALENT_DOUBLE, BOND_COVALENT_MASK, BOND_COVALENT_QUADRUPLE, BOND_COVALENT_QUINTUPLE, BOND_COVALENT_sextuple, BOND_COVALENT_SINGLE, BOND_COVALENT_TRIPLE, BOND_H_CALC, BOND_H_CALC_MASK, BOND_H_MINUS_3, BOND_H_MINUS_4, BOND_H_NUCLEOTIDE, BOND_H_PLUS_2, BOND_H_PLUS_3, BOND_H_PLUS_4, BOND_H_PLUS_5, BOND_H_REGULAR, BOND_HBOND_SHIFT, BOND_HYDROGEN_MASK, BOND_NEW, BOND_ORDER_ANY, BOND_ORDER_NULL, BOND_ORDER_UNSPECIFIED, BOND_PARTIAL_MASK, BOND_PARTIAL01, BOND_PARTIAL12, BOND_PARTIAL23, BOND_PARTIAL32, BOND_PYMOL_MULT, BOND_PYMOL_NOMULT, BOND_RENDER_SINGLE, BOND_STEREO_FAR, BOND_STEREO_MASK, BOND_STEREO_NEAR, BOND_STRUT, BOND_SULFUR_MASK, index, order, TYPE_ATROPISOMER, TYPE_ATROPISOMER_REV`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bond(Atom atom1, Atom atom2, int order, short mad, short colix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `deleteAtomReferences()`
    `int` | `getAtomIndex1()`
    `int` | `getAtomIndex2()`
    `java.lang.String` | `getCIPChirality(boolean doCalculate)` Not implemented.
    `int` | `getCovalentOrder()`
    `float` | `getEnergy()`
    `java.lang.String` | `getIdentity()`
    `Atom` | `getOtherAtom(Atom thisAtom)`
    `SimpleNode` | `getOtherNode(SimpleNode thisAtom)`
    `int` | `getValence()`
    `boolean` | `is(int bondType)`
    `(package private) boolean` | `isAromatic()`
    `boolean` | `isCovalent()`
    `boolean` | `isHydrogen()`
    `(package private) boolean` | `isPartial()`
    `(package private) boolean` | `isStereo()`
    `void` | `setAtropisomerOptions(javajs.util.BS bsA, javajs.util.BS bsB)`
    `void` | `setCIPChirality(int c)` Not implemented.
    `void` | `setMad(short mad)`
    `void` | `setOrder(int order)`
    `(package private) void` | `setShapeVisibility(boolean isVisible)`
    `void` | `setTranslucent(boolean isTranslucent, float translucentLevel)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.jmol.util.Edge

      `getArgbHbondType, getAtropismNode, getAtropismOrder, getAtropismOrder12, getBondOrderFromFloat, getBondOrderFromString, getBondOrderNameFromOrder, getBondOrderNumberFromOrder, getCmlBondOrder, getCovalentBondOrder, getPartialBondDotted, getPartialBondOrder, isAtropism, isOrderH`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### myVisibilityFlag

          public static final int myVisibilityFlag

    - #### atom1

          public Atom atom1

    - #### atom2

          public Atom atom2

    - #### mad

          public short mad

    - #### colix

          public short colix

    - #### shapeVisibilityFlags

          public int shapeVisibilityFlags

  - ### Constructor Detail

    - #### Bond

          public Bond(Atom atom1,
                      Atom atom2,
                      int order,
                      short mad,
                      short colix)

      Parameters:
        `atom1` -
        `atom2` -
        `order` -
        `mad` -
        `colix` -

  - ### Method Detail

    - #### setMad

          public void setMad(short mad)

    - #### setShapeVisibility

          void setShapeVisibility(boolean isVisible)

    - #### getIdentity

          public java.lang.String getIdentity()

    - #### isCovalent

          public boolean isCovalent()

      Specified by:
        `isCovalent` in interface `SimpleEdge`
      Specified by:
        `isCovalent` in class `Edge`

    - #### isHydrogen

          public boolean isHydrogen()

      Specified by:
        `isHydrogen` in class `Edge`

    - #### isStereo

          boolean isStereo()

    - #### isPartial

          boolean isPartial()

    - #### isAromatic

          boolean isAromatic()

    - #### getEnergy

          public float getEnergy()

    - #### getValence

          public int getValence()

    - #### deleteAtomReferences

          void deleteAtomReferences()

    - #### setTranslucent

          public void setTranslucent(boolean isTranslucent,
                                     float translucentLevel)

    - #### setOrder

          public void setOrder(int order)

    - #### getAtomIndex1

          public int getAtomIndex1()

      Specified by:
        `getAtomIndex1` in class `Edge`

    - #### getAtomIndex2

          public int getAtomIndex2()

      Specified by:
        `getAtomIndex2` in class `Edge`

    - #### getCovalentOrder

          public int getCovalentOrder()

      Specified by:
        `getCovalentOrder` in interface `SimpleEdge`
      Specified by:
        `getCovalentOrder` in class `Edge`
      Returns:
        the bond order 1-4 if it is covalent, or 0 if not.

    - #### getOtherAtom

          public Atom getOtherAtom(Atom thisAtom)

    - #### is

          public boolean is(int bondType)

    - #### getOtherNode

          public SimpleNode getOtherNode(SimpleNode thisAtom)

    - #### setAtropisomerOptions

          public void setAtropisomerOptions(javajs.util.BS bsA,
                                            javajs.util.BS bsB)

    - #### getCIPChirality

          public java.lang.String getCIPChirality(boolean doCalculate)

      Not implemented.
      Overrides:
        `getCIPChirality` in class `Edge`
      Parameters:
        `doCalculate` -
      Returns:
        "" or "Z" or "E"

    - #### setCIPChirality

          public void setCIPChirality(int c)

      Not implemented.
      Overrides:
        `setCIPChirality` in class `Edge`
      Parameters:
        `c` - [0:unknown; 1: Z; 2: E; 3: none]

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`